Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588277 - spacewalk-report always reports 1 CPU
Summary: spacewalk-report always reports 1 CPU
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Depends On: 580924
Blocks: sat531-blockers
TreeView+ depends on / blocked
 
Reported: 2010-05-03 11:44 UTC by Jan Pazdziora
Modified: 2015-01-04 21:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 580924
Environment:
Last Closed: 2010-05-06 13:46:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0397 normal SHIPPED_LIVE spacewalk-report bug fix update 2010-05-06 13:45:58 UTC

Description Jan Pazdziora 2010-05-03 11:44:15 UTC
+++ This bug was initially created as a clone of Bug #580924 +++

Description of problem:

spacewalk-report always reports 1 CPU even if Details > Hardware show more CPUs.

Version-Release number of selected component (if applicable):

spacewalk-reports-0.8.2-1

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have client system with more than one CPU.
2. Register it to Spacewalk server.
3. Look at the /network/systems/details/hardware.pxt?sid=... page, confirm that the number of CPUs is correct in parenthesis.
4. Run spacewalk-reports inventory, check the last field for the system in question.
  
Actual results:

1 CPUs; ...

Expected results:

Correct number of CPUs.

Additional info:

--- Additional comment from jpazdziora@redhat.com on 2010-04-09 09:51:56 EDT ---

Taking.

Fixed in Spacewalk master fe46f64d07c6bcb4fa8607abb49920ce263b20e9.

--- Additional comment from jpazdziora@redhat.com on 2010-05-03 07:39:20 EDT ---

Tagged in master as spacewalk-reports-0.9.1-1.

Tagged again as spacewalk-reports-1.0.1-1 for Spacewalk 1.0. Moving ON_DEV.

--- Additional comment from jpazdziora@redhat.com on 2010-05-03 07:43:02 EDT ---

Moving ON_QA as the package is in Spacewalk 1.0 repo, for example http://spacewalk.redhat.com/yum/1.0/RHEL/5/i386/spacewalk-reports-1.0.1-1.el5.noarch.rpm for 32bit RHEL 5.

Comment 1 Jan Pazdziora 2010-05-03 11:44:42 UTC
Bugzilla for errata for Satellite 5.3.x.

Comment 2 Jan Pazdziora 2010-05-03 11:45:17 UTC
Taking.

Comment 3 Jan Pazdziora 2010-05-03 11:55:24 UTC
Cherry-picked to Satellite repo, 12c0b304a7c42ed479d2fc34a4d3e8eec1cdbb4d.

Tagged as spacewalk-reports-0.7.0-4-sat.

Comment 6 Garik Khachikyan 2010-05-05 12:54:24 UTC
# VERIFIED

the spacewalk-reports 0.7.0-4 was checked against RHEL4 and RHEL5 installed Satellites - for the systems with >1 CPUs the correct information is reporting.
RHTS tests launched for checking regression issues found no problem as well.

thanks a lot for the fix.

Comment 8 errata-xmlrpc 2010-05-06 13:46:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0397.html


Note You need to log in before you can comment on or make changes to this bug.